/***************************************************************************
 *   Copyright (C) 2004, 2005, 2006 Thomas Nagy                            *
 *   Thomas Nagy <tnagyemail-com@yahoo.fr>                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation (see COPYING)            *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 ***************************************************************************/

#ifndef _CANVASPOPUP_H
#define _CANVASPOPUP_H

#include <kpopupmenu.h>

class DCanvasView;
class DCanvasPopup : public KPopupMenu
{
	public:
		enum Action_Type
		{
			e_item           = 202,
			e_cut            = 203,
			e_copy           = 204,
			e_paste          = 205,
			e_delete         = 206,
			e_discon_parent  = 207,
			e_discon_obj     = 208,
			e_discon_tree    = 209,
			e_discon_subtree = 210,
			e_discon_link    = 211,
			e_tidy_unclutter = 212,
			e_color          = 213,
			e_font           = 214,
			e_tidy_all       = 215,
			e_tidy_clean     = 216,
			e_select_subtree = 217,
			e_align_top      = 218,
			e_align_bottom   = 219,
			e_align_left     = 220,
			e_align_right    = 221,
			e_distribute_horiz = 222,
			e_distribute_vert  = 223,
		};

		DCanvasPopup(QWidget *parent);

	private:
		DCanvasView * m_canvas;
};

#endif // _CANVASPOPUP_H

